// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SceneItem.hpp"
#include "Scene.hpp"

using namespace Dawn;

SceneItem::SceneItem(Scene &scene, sceneitemid_t id) :
  scene(scene),
  id(id),
  transform(1.0f)
{
  this->id = id;
  this->transform = glm::translate(this->transform, glm::vec3(0, 0, 0));
}

void SceneItem::init() {
  
}

SceneItem::~SceneItem() {
  
}